package com.zehong.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 隐患及整改对象 t_dangers_rectifications
 *
 * @author zehong
 * @date 2026-03-16
 */
public class TDangersRectifications extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 重大危险源监管表id */
    @Excel(name = "重大危险源监管表id")
    private Long fHazardId;

    /** 风险等级 */
    @Excel(name = "风险等级")
    private String riskLevel;

    /** 整改措施 */
    @Excel(name = "整改措施")
    private String rectificationMeasures;

    /** 隐患描述 */
    @Excel(name = "隐患描述")
    private String hazardDescription;

    /** 整改完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "整改完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date completionTime;

    /** 佐证材料 */
    @Excel(name = "佐证材料")
    private String fileUrl;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setfHazardId(Long fHazardId)
    {
        this.fHazardId = fHazardId;
    }

    public Long getfHazardId()
    {
        return fHazardId;
    }
    public void setRiskLevel(String riskLevel)
    {
        this.riskLevel = riskLevel;
    }

    public String getRiskLevel()
    {
        return riskLevel;
    }
    public void setRectificationMeasures(String rectificationMeasures)
    {
        this.rectificationMeasures = rectificationMeasures;
    }

    public String getRectificationMeasures()
    {
        return rectificationMeasures;
    }
    public void setHazardDescription(String hazardDescription)
    {
        this.hazardDescription = hazardDescription;
    }

    public String getHazardDescription()
    {
        return hazardDescription;
    }
    public void setCompletionTime(Date completionTime)
    {
        this.completionTime = completionTime;
    }

    public Date getCompletionTime()
    {
        return completionTime;
    }
    public void setFileUrl(String fileUrl)
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl()
    {
        return fileUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("fHazardId", getfHazardId())
                .append("createTime", getCreateTime())
                .append("riskLevel", getRiskLevel())
                .append("rectificationMeasures", getRectificationMeasures())
                .append("hazardDescription", getHazardDescription())
                .append("completionTime", getCompletionTime())
                .append("fileUrl", getFileUrl())
                .toString();
    }
}